Package com.atlassian.jira.plugins.share
Class ShareServiceImpl
java.lang.Object
com.atlassian.jira.plugins.share.ShareServiceImpl
- All Implemented Interfaces:
ShareService
Listens for ShareIssueEvents and sends items to the Mail queue.
- Since:
- v5.0
-
Nested Class Summary
Nested classes/interfaces inherited from interface com.atlassian.jira.plugins.share.ShareService
ShareService.ValidateShareIssueResult, ShareService.ValidateShareResult, ShareService.ValidateShareSearchRequestResult -
Field Summary
Fields -
Constructor Summary
ConstructorsConstructorDescriptionShareServiceImpl(I18nHelper i18nHelper, PermissionManager permissionManager, ShareIssueService shareIssueService, ShareSearchRequestService shareSearchRequestService) -
Method Summary
Modifier and TypeMethodDescriptionvoidGiven a valid ValidateShareIssueResult this method will send an e-mail to the users and fire aShareIssueEventvoidGiven a valid ValidateShareIssueResult this method will send an e-mail to the users and fire aShareJqlEventorShareSearchRequestEventdepending on if a saved filter was passed to the validate method.validateShareIssue(ApplicationUser remoteUser, ShareBean shareBean, Issue issue) Confirms that the shareBean param contains either usernames or e-mails and also validates that the user performing this operation has the permission to view other users in this JIRA instance.validateShareSearchRequest(ApplicationUser remoteUser, ShareBean shareBean, SearchRequest searchRequest) Confirms that the shareRequest param contains either usernames or e-mails and also validates that the user performing this operation has the permission to view other users in this JIRA instance.
-
Field Details
-
NO_USERS_OR_EMAILS_PROVIDED
- See Also:
-
NO_PERMISSION_TO_BROWSE_USERS
- See Also:
-
-
Constructor Details
-
Method Details